
Redmine - Patch #5101

Show nested issues in a hierarchic list

2010-03-17 14:36 - Fri Flaj

Status: Closed Start date: 2010-03-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Description

The attached patch will show issues and their sub-issues in a hierarchic layout. The patch is more proof-of-concept than actual

production code (the change to issues_controller is not the way you'd want to handle this), but I don't know where else to change it.

The patch is small but adds what I think is an essential feature to the freshly-minted subtasks functionality (issue 443).

Related issues:

Has duplicate Redmine - Feature #5196: Grouping, ordering and viewing issues ... Closed 2010-03-26

History

#1 - 2010-03-19 09:04 - Fri Flaj

- File hier-list.patch added

updated patch to also show hierarchy in the roadmap

#2 - 2010-03-19 09:45 - Fri Flaj

- File hier-list.patch added

...and in the version display

#3 - 2010-03-30 16:51 - Fri Flaj

Looks like a duplicate for #5196

#4 - 2010-03-30 19:00 - Felix Schäfer

Does #5196 solve your issue? I'd then close this one here and make it a duplicate of #5196.

#5 - 2010-03-30 23:54 - Fri Flaj

#5196 solves most of my issue. My preference would have been that sub-tasks always stay with their parent, which #5196 only does when you sort

on ID, but if that behaviour is settled on in Redmine-core, my patch has no additional value.

Since #5196 is already in, I would propose marking this a duplicate and closing it, I'll continue the discussion on #5196 itself.

#6 - 2010-03-31 16:40 - Felix Schäfer

- Status changed from New to Closed

Emiliano Heyns wrote:

Since #5196 is already in, I would propose marking this a duplicate and closing it, I'll continue the discussion on #5196 itself.

 Done.

Files

hier-list.patch 2.39 KB 2010-03-17 Fri Flaj

hier-list.patch 4.9 KB 2010-03-19 Fri Flaj

hier-list.patch 5.67 KB 2010-03-19 Fri Flaj
